summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-24.0.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin269973 -> 269978 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.55.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.55.ebuild67
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.86.0.ebuild65
-rw-r--r--dev-python/environs/Manifest2
-rw-r--r--dev-python/environs/environs-11.0.0.ebuild39
-rw-r--r--dev-python/flaky/Manifest2
-rw-r--r--dev-python/flaky/flaky-3.7.0-r5.ebuild (renamed from dev-python/flaky/flaky-3.7.0-r4.ebuild)11
-rw-r--r--dev-python/griffe/Manifest2
-rw-r--r--dev-python/griffe/griffe-0.41.3.ebuild45
-rw-r--r--dev-python/ipyparallel/Manifest2
-rw-r--r--dev-python/ipyparallel/ipyparallel-8.7.0.ebuild1
-rw-r--r--dev-python/jupyterlab/Manifest2
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.1.3.ebuild78
-rw-r--r--dev-python/marshmallow/Manifest2
-rw-r--r--dev-python/marshmallow/marshmallow-3.21.1.ebuild36
-rw-r--r--dev-python/nbconvert/Manifest2
-rw-r--r--dev-python/nbconvert/nbconvert-7.16.2.ebuild74
-rw-r--r--dev-python/pipdeptree/Manifest2
-rw-r--r--dev-python/pipdeptree/pipdeptree-2.16.1.ebuild48
-rw-r--r--dev-python/pymdown-extensions/Manifest2
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild47
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-22.2.1.ebuild121
-rw-r--r--dev-python/types-gdb/Manifest2
-rw-r--r--dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild17
31 files changed, 771 insertions, 6 deletions
diff --git a/dev-python/Faker/Faker-24.0.0.ebuild b/dev-python/Faker/Faker-24.0.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-24.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 9fa6d754f94d..bfb222e3504f 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-23.2.1.tar.gz 1708603 BLAKE2B 94759727bb7feb520d51c3a52e50e01bad164cc3f262620d9f106f4746e68b298447d678dba7a5af9a80d0fdd7d9981f57ca50e27ab10671caec52c34e0442ee SHA512 1fefc84bed97e012c4e07117d62a6e0970e1be9d1c2b6f09db497b0d5ba66a2b2b0f3ba806926621d59dc0753a8b8c9caacefa15fbb23c755f110c5ef908975d
DIST Faker-23.3.0.tar.gz 1716346 BLAKE2B 21be02c45fdaeed398ce157b9874985791dff67784b60198323ffae8f8c3a3e82932ebc152893aed40efb5d73e1e775c52b364c62411b59e48ce3d897971ba92 SHA512 2bdcf86adae1eeee257ee24df140894451d13854afdde8794d08072b9b572e48fcacb74597f64da9f069e914db0f27c8f4e74d746a25bbee8421310749468b82
+DIST Faker-24.0.0.tar.gz 1716657 BLAKE2B 6dd4ff39e2d7ecd941a1c12c34894f092603f00331e147aa3056a3a15eb7a06c88c0000cf5a9fc1b754299bd5e3a707b7b95f7842c5eeb00dc2089f065bfca0c SHA512 cd764feb37863f98038d9b9da8c41967e9e8fc1fd250a92b3cea376610ecda3f90fd691297c824fe83845fc0bc0a8d859f96512ee2b6b720d4e12f2cd8d6c8d3
EBUILD Faker-23.2.1.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-23.3.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-24.0.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 8b87a9d86e68..aa50197d89e2 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index d8c2ceb5d0d4..683cb60f5c8b 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,7 +1,9 @@
DIST boto3-1.34.44.gh.tar.gz 775883 BLAKE2B 97648819e48af3bbdec76ca47f5532cf9f0a99845f90515cbc7bec02bd5cc04ed5cc842b55cd589a8fb1cd8852edf4d12d3e8a23320e23fd4c5920854ef588d3 SHA512 310689dd7fc3a08c3a8ed6e223381870f028ee07354f74654abafc893f8230fee82bcd136c9e04a675a06bad496458f6778e6d571e75f6541130b3e06cdf324a
DIST boto3-1.34.49.gh.tar.gz 777028 BLAKE2B 3f78be7cffeca8dec5c7e1b8fcb2e4081e8d5b6f85becea5deeebd8de3d8c038db5c5e827831c829e3943860a10144e7dd565136c6dfad4f39540a7eaa2bacda SHA512 dbd9fdb33f0d29d8ba4ef8b6bdb5bf5b9585306e6a0e1fffeea42d38fad503555763361c5b14991d58303f7e1edc481e026ba195638044efc476a25bd467675e
DIST boto3-1.34.54.gh.tar.gz 779564 BLAKE2B f61a74f6a317af6f180edb047e8c37e55c2d497c9507728eb098e2627d071aa56bae037a4bb8582774a49b20d0c1794a8793ab3d8e92d90071de3caf1d32bc2b SHA512 e3549e7b7ad254eafff60eb9bd21aa179f2840c2097874fb0a0602e767dbcf203742629eeaffe6432db65c3f76c326032e700cebb7ea92ebb7305ae6e26173ba
+DIST boto3-1.34.55.gh.tar.gz 779897 BLAKE2B 9ca34cb517a0117e91945658ce67d8bc16569931846ef3cf61157a988ee3a6935b8da7581be39304c93bb3a7ae089925abce95e8dfbf4369910d3bb02d232dbe SHA512 9cc45a125817ea1a442c72ba2759e8189dad3a3538f236afa980a3a8203e1ff85d8341b1f9c59bacd066b3b01a1e3a715d3deec42dfbe1846859229517a51e8c
EBUILD boto3-1.34.44.ebuild 1258 BLAKE2B 7f7ba2672f66400a4c2c202847d4bc7b57a0941b51f4f2f725475c38b6092c6a89687476db8bb701688ff47ccce491ffc435968a407ffc30ef860747573a1f43 SHA512 aebf347c928b4364a045a4bfb20edad39f9530fed5dfeef6b7e684feae0a146b71aa53cbb49f0b79e89671b97402aad447e6971df74ee44fef523ebad23f992c
EBUILD boto3-1.34.49.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.54.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.55.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.55.ebuild b/dev-python/boto3/boto3-1.34.55.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.55.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index b24d5ee51ce1..f2c6fa77dfb8 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,7 +1,9 @@
DIST botocore-1.34.44.gh.tar.gz 12716767 BLAKE2B 335d59ae57ae5a5a1bdb44c3e196dff18cb24dd4a4d3beb59e7b8e887d5cc56f0716b2e4fead0c9a4c96978d661308fb0f1e045300e7af69c94ed799bb25a2ef SHA512 12893173c0123711f496448e661bb8e463fcc29ac95c500fe427e2dcf9810659b92de1d38ec3192e1e20a92ca01a5315733f34d0ffe61f2c9b69763e427ee96f
DIST botocore-1.34.49.gh.tar.gz 12729109 BLAKE2B 8029fd3530f8c29e7375eaf369944ada9977a1e445eec3151f2babcd6a6480e8c9a8109f31687b588c50691dca62e635beafbcca71f3a6961d23937fa7e613d0 SHA512 8722a965658c55b35880c65b0b4b8d466691752de4b7654657fe583e4dec36f09910f8298f29099cd035e3acf0622734597e4269d2a4e71eecfc3a7fcf6825bc
DIST botocore-1.34.54.gh.tar.gz 12748623 BLAKE2B 2b4732636e0d7cf46e12fc2cf4320c7c4a89c79abe5102a06c0b60c61ca1f638edbfeda0248c3044dbfe594b3dcfe0e8e73f52011bcad0e96fa4c51f3b6b944f SHA512 36fbbd8ad1627b86723ffbb54149ffb7b740831cb31be2e9c0423d158c5755161ec853ef5f97f4fa2632116099266d5f8dc06e47fda6356f988eb39636f435aa
+DIST botocore-1.34.55.gh.tar.gz 12750876 BLAKE2B 48222899d97aeea39c471ad1822641bad227e80afce7dee31a6acda21bf87d1cb48cbb39a5bad8851af2ecf14bc524ae55c15127318d2ccf4b8e0c851d2fd077 SHA512 8bc8b35a1e06c1fcc4902cb8ab97b3a6b75cc0e32fc7ab4d656378751846af4ef536513496328281068cbdfaed9cb8d06d13e9d0b2760e4090c660dc7950b897
EBUILD botocore-1.34.44.ebuild 1477 BLAKE2B 784b43f060f0702808a3894fdab7a15dd4b4feeffc3c1ab2fe24cca762b2dc1310f40ae5b2941db5c4aa9c4ff8b69d858520826027a50ce975d25150132b4d56 SHA512 e86970ec900929641794d61e02f26bc7e7c8af803095dcc5c8fbedac9d79275c596176f2b492061289056c7d29ebbaa6e64344148f22b6349ac4420ab5038dca
EBUILD botocore-1.34.49.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.54.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
+EBUILD botocore-1.34.55.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.55.ebuild b/dev-python/botocore/botocore-1.34.55.ebuild
new file mode 100644
index 000000000000..ba6cd2a5d2a2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.55.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index d8b45e8677a6..53b722240c4b 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,5 +1,7 @@
DIST cfn-lint-0.85.2.tar.gz 3887432 BLAKE2B 3ae9f84d977c576b8051226b73960c97d568c5cfe4aab2030b753abd6e25b39ff2d7f2265e1edca17339ca35658808d00805ce95d3f155b395e3ed3cd84c0bdd SHA512 7c28a8f9771cb38087d30425340b95fbec637c7345cdd2c6ae2f6dc6f550cfe0b3f4cc53a60625767b40850bbf29859370cf89185bdd2a1de59a64aa43c598c3
DIST cfn-lint-0.85.3.tar.gz 3878852 BLAKE2B 4eb804c67b3cdd9686df930b7c9cc565f296a9ed99872b0d6f470c469de61d3ef321a98265c0975b32bfd2866dd66f82d2266dff77d90d31914946cafe5ce1dc SHA512 5f758664a1497b1d5260c6737e203d86ad0cd08a44067b9fdb2c4150cfafc2f96fb025322aa8573d08d6ee44254987fc7f52d6ed336944e9e2a89fc174d8db6c
+DIST cfn-lint-0.86.0.tar.gz 3847186 BLAKE2B 8edc25b25bd385717f7c1cd7d79cc910ec87c5232daec70cd448659e56cd710524532b66e3392d369b787765613a83bf37180f5f64bd489ec9c32d24cb6a3963 SHA512 4dc131c2cfc2d9892c6835a505bc5cc9a3d570cc22750bbb239b577417b010de7cfd0b17caeae44197b2cecbdf163973e447906eae778aba84834ebce3b5d0b3
EBUILD cfn-lint-0.85.2.ebuild 2065 BLAKE2B e8a272d09d264c38ae551f293b660518740fde7a9dbc2be449855053ebf79460c0aa396a670ad8a351f4a30f7c7588e133009c86581455ec9b53066b730aeb73 SHA512 cae80015c294a1c3cdadcd5ab99df82d656cfb8d8c55f9464d7dd0e2107d82a70e0daf6dbae758e3dbcdf599905328fb3b395081b5c8c0307509e4a500b092b3
EBUILD cfn-lint-0.85.3.ebuild 2068 BLAKE2B 374c07174fac5329d07d96b15cf9eda071d38d234461d89e9b925c2da8d106bb474b94e7faa9ccb90ecf9dc359a6d22e72d43550b2e8a4b95df6664c097ce415 SHA512 960910c586ea618e865a265bb3dee1424c404ca7fd0f4d52cba6c7947850ecb44d72fd9bab063caa5e97fd024daf9f723990f35db62446edcbc61198fe79f116
+EBUILD cfn-lint-0.86.0.ebuild 2068 BLAKE2B 374c07174fac5329d07d96b15cf9eda071d38d234461d89e9b925c2da8d106bb474b94e7faa9ccb90ecf9dc359a6d22e72d43550b2e8a4b95df6664c097ce415 SHA512 960910c586ea618e865a265bb3dee1424c404ca7fd0f4d52cba6c7947850ecb44d72fd9bab063caa5e97fd024daf9f723990f35db62446edcbc61198fe79f116
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild
new file mode 100644
index 000000000000..9a00ccdd992c
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.85.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/environs/Manifest b/dev-python/environs/Manifest
index b73fc685be82..dc430db35c43 100644
--- a/dev-python/environs/Manifest
+++ b/dev-python/environs/Manifest
@@ -1,3 +1,5 @@
DIST environs-10.3.0.gh.tar.gz 23931 BLAKE2B fbf6780de3a98078b76edb941361ff52cd93df51cc4c9003fa780b8fc8e366be4420de2f3ff69293f0379462c0ddfc4cf132ab67443c9b0508cca7f3b2d227fc SHA512 de58aaa2dc46b9e0db026ff7c2bef9dbf247fa96eb7d12ef105981395f3141e1726f19062551ed139daa33ba1fd9b584d11b425c836496da1ecf9f69fcb409e9
+DIST environs-11.0.0.gh.tar.gz 23916 BLAKE2B e9c186cd6e6da0ddeddb7d8f6c5a01d2039468d452af20d6a1637dbe01f8c09be7c890737f862e2dc9baf824b9d8878abca04a5ae237b58138e3026ac68e7d2c SHA512 540412bfb05dd798b57724390f3ae7dcba536550f909fbe2bb3f48fea77fed6cb9473fe526c3482ab7da48bec6ca886c85f07cf62c0fd23fa38087ea53b0e330
EBUILD environs-10.3.0.ebuild 843 BLAKE2B ec763b7e9bf505e7670dfa77e71dd197ad9a77269d58d3deb6e4aaf6c3872e203502f16e8a039e438dd25adcd999451f9d92f0ef815199fd84e5ab81ad99f4e3 SHA512 931ebde285f3d77fe2a8db138f69c09d04372e1bf1c3f7f88820e679dac982ee219a32012ff3eef719fd295f77ce28956214eda6b0b99c15a4f777876f8c7d4f
+EBUILD environs-11.0.0.ebuild 846 BLAKE2B 85911ed4a0ab4c34cd61a17642cc690be36451d5ea7fd865c8df057e4ec23e03aa0540ff5a5a943ef14fad1a846c4fda2cb5eca6f45d0e0656644fb425c5dcaf SHA512 65e0be90be7893a4906eef3194e06bb765f7c75d1eb775875c60123651bd7276399f717827d1a03b2283e554d4eca9d3611e1cae4b31f7d79130bcbb6dc54d3e
MISC metadata.xml 496 BLAKE2B a44f919cfe291f826a91438c9170dff83d39a184a192cd6208cc91eb50596a739d94335345f7289b8afd667a24b491fea5c9387721dd160031deb6ad5cf1aa6e SHA512 a3744511fce7b1a29b682ea7d384eef72bf08ef599ae88f01c9b4485abb1abe89f5731c40cadbe724cf8ac63726199128bb51e88c5c770196ed6a4326233f520
diff --git a/dev-python/environs/environs-11.0.0.ebuild b/dev-python/environs/environs-11.0.0.ebuild
new file mode 100644
index 000000000000..68b7ee41ac19
--- /dev/null
+++ b/dev-python/environs/environs-11.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for simplified environment variable parsing"
+HOMEPAGE="
+ https://github.com/sloria/environs/
+ https://pypi.org/project/environs/
+"
+SRC_URI="
+ https://github.com/sloria/environs/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ >=dev-python/marshmallow-3.13.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index 3a0ef151772a..d2fb645da1fd 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1,3 +1,3 @@
DIST flaky-3.7.0.tar.gz 29591 BLAKE2B 747fbda71055bba937abf3e7b97691c1f4b222f085069d1815d5a9eba669464d2ed5d6dcf1842ae82f1970de5cd5e3aea5b12476bfa2d9282549ad0cc62901e9 SHA512 b399f6e1323d6ca341803ac6f1eb318bf24dc37182d0b49b89bb81b9466dd36271ad6dbb9f48ea6fa4760ee631f1482bb6f49c64f4d4520c40634089c1b64f9a
-EBUILD flaky-3.7.0-r4.ebuild 1108 BLAKE2B 99fa07558d63654d790cc368cfd117071283bc0f54fc4cfefc9b2949baa342f5f8f604ec30ca25dc784a5c133f797ff0254d3a7395d852ff2c527bb31a5cc405 SHA512 cdbaf56ffb5dfa3708ffbd253cb047764d3ecda7b284c495e2fa5c32d2b6b3a4028930d57b1eb3b624f13cc43ea918e55a04e7dfdc09a4e69d8536728a90d4d5
+EBUILD flaky-3.7.0-r5.ebuild 1227 BLAKE2B 9c25d355d44e891b1912bdb010f93ed1bcbce5fffe3693e3d0f2cb291ea438118016ea52b50391b6bd0b6919b71f1705eae21839f950b0a690c51150d766547f SHA512 bd40f57a14213028d1adab04d4a4e709e3439e1e6a2074c08f57fd88b066303af8f56066e3dbab2f25c2933b39aaab7b29ad44ae9260450b3f10c38953d47a18
MISC metadata.xml 395 BLAKE2B 06158c93157879bd7b181e833d84ea33a315103214cfaa54a092f965900f05f705183b74738543ac6bb83beb62de562a59ef43b734a74c9f3d0d5d677e8e00d1 SHA512 2d237ebccf03db7fc42fac5370f1046834646bdfc5755e2298e9cac131363e47e496d9d0f0d00ad914764bcbc2deaee8b7182ae3c32e18f95766351da50028aa
diff --git a/dev-python/flaky/flaky-3.7.0-r4.ebuild b/dev-python/flaky/flaky-3.7.0-r5.ebuild
index 31706c8905b4..155976a6db4c 100644
--- a/dev-python/flaky/flaky-3.7.0-r4.ebuild
+++ b/dev-python/flaky/flaky-3.7.0-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -14,13 +14,17 @@ HOMEPAGE="
https://pypi.org/project/flaky/
"
-SLOT="0"
LICENSE="Apache-2.0"
+SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
-DEPEND="
+# https://github.com/box/flaky/issues/198
+RDEPEND="
+ <dev-python/pytest-8.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
test? (
dev-python/genty[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
@@ -29,6 +33,7 @@ DEPEND="
"
src_prepare() {
+ # (removed upstream)
rm flaky/flaky_nose_plugin.py || die
sed -i -e '/flaky_nose_plugin/d' setup.py || die
distutils-r1_src_prepare
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index ab0d1e854fa1..b4ebacb7a2c0 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -2,8 +2,10 @@ DIST griffe-0.40.1.gh.tar.gz 216435 BLAKE2B 0b2e304db94dadd113e72fd49d593a56fb4a
DIST griffe-0.41.0.gh.tar.gz 216110 BLAKE2B ce7865bc38afc60b61ca530937599a25a45e5eb1ed905d989558da39246bf4fd75cf109f8158cd11a1d83c5d369a30d15fda1fa2d301b6ce0b54f198e21284a3 SHA512 48fbe053755027dca9c5cb00ed9eff07667114585381a4ff017de508bcd555a54ea457c652719d43e28878eef26a985517d4b14d4992a8681d60be9090507814
DIST griffe-0.41.1.gh.tar.gz 216351 BLAKE2B e4c8bad6c6870aab7dee9d8d4326537d7943b3afdb96d8c3ffb90387f1e6dde7296f63a9cecf0b8f7f444ee1d05845af3a064483b6c96e6434ee6469acd9c7ca SHA512 853082357ee79cf29d8551a22c2b6bf40e74a332234afeeea629a27814e8bbc91f682d2a0a305c93baf27e5e4f2697b8ee19cbf43e63e03ac71879f872a71988
DIST griffe-0.41.2.gh.tar.gz 216659 BLAKE2B b0974a105aaa9ffca5e0b977fd816f228ff78f550e7995fe0f902d9bdfb720c603238b2e084fc2cf1364c13a78311877c87e175eb37b5ac310345ed05b04ec96 SHA512 981c91a48a06d157b42b7415002360158a144845a1cdbd7c09c7e07ff43bbb795bbcda784f72dfb863183fe7093e34483f2c57f8370194f4834d51659401462e
+DIST griffe-0.41.3.gh.tar.gz 216756 BLAKE2B 00c979a32409f765b1c7d70edb91c8df71042e3ef0692e4575f8c161d8789f5b0dc8f60500925905089a1e13078a012ad5a8b312e5a78e882238c722c936eff1 SHA512 fb6ee21f3a71021e7b425522d0c0d6d6c7ce27cb62bac61c83d85c09311518a7ef7404347fe597d3b7d5ca19c09a6b7b61135779969777880e307a820ce93bdb
EBUILD griffe-0.40.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.0.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.2.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
+EBUILD griffe-0.41.3.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
MISC metadata.xml 398 BLAKE2B eb35dbbdd7d3482404991416d9e06e3e87f88a96cc91d481b5a2f53eb732172116b4cfefa1a65f9ba8db44e2b10ed0fd6e4031b7d17382e9e931d1a2eedb322e SHA512 833aac5d52c2584143d67b7ad325e9538cee17d454410b3c4708ad9b47f58d3b2c0875d735b149603bb36ae124d24343b2e456a6db5e5f806da2e13f32c108cc
diff --git a/dev-python/griffe/griffe-0.41.3.ebuild b/dev-python/griffe/griffe-0.41.3.ebuild
new file mode 100644
index 000000000000..73f99c53e1af
--- /dev/null
+++ b/dev-python/griffe/griffe-0.41.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index eba87a564aab..acda743e3ba4 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -3,5 +3,5 @@ AUX ipyparallel-8.6.1-pypy310.patch 1304 BLAKE2B 93422fb00667ddcc3c3d92beda08f4a
DIST ipyparallel-8.6.1.tar.gz 6807935 BLAKE2B 23847974e9d5d1d06a64a6b01c845f539848c602b6ba6a22c64d8e0bd35a783ec3a09fc6618ae08490d35e49d497c1db61176f8c70065c4e61ec234a7fd00545 SHA512 e83447f9d52eed87e8513d2ee74d2d6b589a5c04b5bf6dfece6d87565dd9c5e46abd280eb5ab64266b2e759dec1007ab007d0b8232b6239768190bd6900f53ff
DIST ipyparallel-8.7.0.tar.gz 6798726 BLAKE2B 2f948ab19883e9364cab82227ad9918010f144ccf8d9899c54e4a3a9df99bd42faf6001ba837e6c7bfb25738c6ad25f766396b76ba7fa5097d84f385d69dbc68 SHA512 96b9a3c1435dcb609c81856e5fc2763265a14610483e9d6c1a0b1fe5f7d6981d42d8f0d7b0c245cdf1fec10d4a832854dc745ca02ce90623734216dc858bb322
EBUILD ipyparallel-8.6.1.ebuild 2578 BLAKE2B 1492bfdd46f3979243efd1d356b0366153b05a029291208b158045a233f2b4d83ecd4f8671742c145a29431fea1631f4cfb67fdd8dfb80694fa8e78448ce4db8 SHA512 8271c77c4e46c16d960509f24c43db4262946485ef179b1e4ad5a736db7d1c4508125f592fe685e403b9e7685348f9d1b232f31718396cc5260291cfb511d6d8
-EBUILD ipyparallel-8.7.0.ebuild 2541 BLAKE2B ec008b6861dbdbc5c9ce7e094053f7e0d1b08e5daebef83013e254dd44c8ec4906fab44968cdd797cced6034c4cb7f31d3e74627ebf9c8543bbe7f701fa26cf2 SHA512 7c37a950430e33e3c191e94ca5c394bcefc996835a7f9a33c7d63ba9a0bd3af38575a318c6739ed1f8604d31c958559ea459fbb3eafd2be73e3968e9fd7ddc2c
+EBUILD ipyparallel-8.7.0.ebuild 2500 BLAKE2B 9ddcac36800342ae57ad4ecfc78903e35fcad9e3637c0f4035cc4e9b460e208e52827cc82f6748e13626aca3ea07228b0cf80b8f4221cf0910598e917123d13c SHA512 72a1dee0a6f38c3b0b5497a2277a18f8376034fd8b57b6f7ba8365f397a9b2106ed292a1c29531ce217a0ffd1d6d9639f1a30330b0a9951eb98fcaad220a484d
MISC metadata.xml 531 BLAKE2B 92dd755dd3036f653f24eda893979487b8d5bbf3c369f3f10c3fc2e69ad6aef03cb6eca295bcb8c6f89f0838780c20132bfd2a33bb38b56b227e97258447c2e0 SHA512 fcd131d18b012d1511468777dd72e07ed28a514419923911082229c0256b9003d9afe2048b6c339cb5c94307026b52bc4e9b6781d45660178d18385d71af8f21
diff --git a/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild b/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
index d1401a29b6da..b7c622ae9e8e 100644
--- a/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
+++ b/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
@@ -39,7 +39,6 @@ BDEPEND="
test? (
dev-python/ipython[test]
dev-python/mock[${PYTHON_USEDEP}]
- <dev-python/pytest-8[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-tornado[${PYTHON_USEDEP}]
dev-python/testpath[${PYTHON_USEDEP}]
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 20c3f450633a..dd8f1a6de493 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -2,8 +2,10 @@ DIST jupyterlab-4.0.12.tar.gz 18352336 BLAKE2B afa406372cabd740dc09b354e626d4b87
DIST jupyterlab-4.0.13.tar.gz 18354664 BLAKE2B 6c4df40c8ab5a97cf85025c752f48dc97b8d90e01e4343ba40cd7c25f1d48936040af9704a5a9b855aa8cfc9d43db15c0904c96daa73ec0f65c18b365cd2155b SHA512 89a6e7ca594905b08ce7c85299e3fe0a94cb8bb135258c992c3b6eab20f04b34b956e997a362088347c1488f5720e59f8c3d1366d9fbc5bd0dc7c1cc37ad2d43
DIST jupyterlab-4.1.1.tar.gz 21807943 BLAKE2B 9bd6d9fc25c68743f01c2193e09d996e4350a8a00b1b8a0c83c001d4452a16b7ba69362fea36955cbb93f8f408a6e3a5dd45f2a17cde8899d5a192f7395875a5 SHA512 9441dc0faec7e65c7a228b2876d5a6d962e892209414e38c336436af218789d6f735c6c7eb089a0c1525c04ef6824abfb5da82b14292dc402b6a0f7f97d06e0a
DIST jupyterlab-4.1.2.tar.gz 21810592 BLAKE2B 5c5c828c0144260e1fbead1f2ea23cd6b458c2c86dc2202ed4e56fd566d85e14544fa7443d0676926e0619721bad5b8e85431bf02f7a61a3f0fceeafb0eafa66 SHA512 17ab1132421e494a3ce48edec3823576f0202b90e238a01f8500b86bbd7753a8b3e6376a9f2bdd5cf7b1f50708853d92886b486a4a0c620df179693f1566e3e2
+DIST jupyterlab-4.1.3.tar.gz 21796851 BLAKE2B afe0b939a24bd977d2667d4b769a2742ca34e52ffe9264bd940d740e6189a5285f7e2f3c261f8af0a63097f1afa70802939e635bd316bcdc592ca72d670c0ef9 SHA512 ea463c86b06632a007e4fe1d7fd724b1b2377af13620313bc70620d7fbf05ccc5b6a5565b27469ea281a95424c446f62db904f1d40dfab321c6821a998813513
EBUILD jupyterlab-4.0.12.ebuild 2610 BLAKE2B 43cf71f66c0706f0ff3e34465946de03118fc540a9b8c415a3cfcc9bfcafa786031600365354ad9c7cbf1c6d075ea0493409bb280ae9bfdf7e2e93c3d8d2c3d3 SHA512 6c0aac16395c80b7393d3101e3864249b4523a5db3a432ccd51f4a909fccff93db42959a27eb13025eaa08f1db58e1bfa3758ddba6d32b8ec5032662b18b81c8
EBUILD jupyterlab-4.0.13.ebuild 2615 BLAKE2B c0643bbfbcd6c5ca30e090cf8e1cae2d400dd2c11e283d4737dfcc7b2e75fe58962cd4d5ab930403418a2f0e18fda792f2874c9b501f5bfb2fd9245d9f47a0a2 SHA512 5998157191632668110865248ac80843b2a274b3d2e2041841d566e0731156cc4146891816e057c0595ec45b2590fece3ee1d127b1ce8e698179c01ca56ebbb0
EBUILD jupyterlab-4.1.1.ebuild 2662 BLAKE2B 97f243099e85c1cff2475724d4b5e627ce3ff088256ff14ebed31bf12ce1843837a7eaccdfd13e710a2f698debfa6055b59172217c1d55d968902f728270b644 SHA512 871f2502659371217cde25e9d381705dbe080273e358a4e72fb9aab9b5ce3e9807bbdf2816de30624c08727e5ca7eb0fb662ad87318b9ad65b4c0e4dbeac5c7d
EBUILD jupyterlab-4.1.2.ebuild 2662 BLAKE2B 97f243099e85c1cff2475724d4b5e627ce3ff088256ff14ebed31bf12ce1843837a7eaccdfd13e710a2f698debfa6055b59172217c1d55d968902f728270b644 SHA512 871f2502659371217cde25e9d381705dbe080273e358a4e72fb9aab9b5ce3e9807bbdf2816de30624c08727e5ca7eb0fb662ad87318b9ad65b4c0e4dbeac5c7d
+EBUILD jupyterlab-4.1.3.ebuild 2662 BLAKE2B 97f243099e85c1cff2475724d4b5e627ce3ff088256ff14ebed31bf12ce1843837a7eaccdfd13e710a2f698debfa6055b59172217c1d55d968902f728270b644 SHA512 871f2502659371217cde25e9d381705dbe080273e358a4e72fb9aab9b5ce3e9807bbdf2816de30624c08727e5ca7eb0fb662ad87318b9ad65b4c0e4dbeac5c7d
MISC metadata.xml 412 BLAKE2B f0b40e19f8ba9dc116f0e4a882cabab6376f22d1eaeb3eac58ecff465ee2aff3564ddbf55e4ffb8971807a39945109a164037a954419671a274d3ac558b102ea SHA512 b6149a03585ca04bc3bf6f3ea6055e8e1fcb620a771359d150df7c22ee16bf09f57c8037df2161021fac0c194be0ac5ec79a31f0511d785e0c5b1ca96d817e42
diff --git a/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild b/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild
new file mode 100644
index 000000000000..9e3f5902f2f5
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/async-lru[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.25.0[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/marshmallow/Manifest b/dev-python/marshmallow/Manifest
index 229fee1f94d7..3cad537998b6 100644
--- a/dev-python/marshmallow/Manifest
+++ b/dev-python/marshmallow/Manifest
@@ -1,5 +1,7 @@
DIST marshmallow-3.20.2.gh.tar.gz 183876 BLAKE2B 84cf8ca23069ad1d2353ffa9299556298457485fa459746b948835f04f92ef3949d5429e8285e084be7398fb294b3d74eba1b38ef21b469daed401f1e6affcdb SHA512 8305693405a976c53333b0c6ef074a12af4736f9620ca37c7c2ec6318fac2b19086426344ce8c2f515e95becdba8b2bb1c20aca5a9dffb4145cb27fee00dc080
DIST marshmallow-3.21.0.gh.tar.gz 183738 BLAKE2B 9f9b9203be93e6feecbd6b7e1da32f737ba33ca8e386e062d091e20480f5241c1d73f77afd542cb24816a48aa5a948aaa20edcfe9d0fdfa847f6e405e89cff20 SHA512 d08e4eedafc1d6f2bfab463357febc75013e8a548195ab85aac55fa225f2180a4f1646d68f8586d369dd108a793086c5bb8522c7543a51540ec4ee6de5305ad3
+DIST marshmallow-3.21.1.gh.tar.gz 183822 BLAKE2B 786287604312b4c54167458c35caf5ac3eb2c9ce63c1b9bd0b8fc33e208e5f694e84842c75c93fd91535bc231ebf703ea3ea0b352d100b59f103e280b840b170 SHA512 6de06ced6a58ef0c312ee4c1edfbe011401bba08c27fcf2dd2c3e44cb072cded1cf5f16a4d4945344d56f0d26b5eb165f6d031b50c215f122c7cc6fe25389318
EBUILD marshmallow-3.20.2.ebuild 780 BLAKE2B 6ecc83fd5cb3f29ac1fe07116cef0f0054df5d67ecf4073492e353b00cbfe6b40f3999071207f25a4d20a1b5b9fe0212678cdfc92c9a626431a11e8fefefd72d SHA512 89303f888621dba6b13ed55351b55dc23bb5f921bf2fa8063aea7561f7764ef3061fabbb26dde07ae1ad814cd6efbfd66ba46a1efa45d59389fe020f8ea56075
EBUILD marshmallow-3.21.0.ebuild 774 BLAKE2B a59e3c6ca01979cec1f47964c172fa07aa926b92f0ac3cfcea35b2ac88c4e952344ed56a86f7ac0b1209c2d773c90a60aac3d8be0e87e47ed58ed0b740662874 SHA512 36d699ddf6dcc171b95fab79965f14bd92d2d9b912b4fdb78ededd05c20a2932389f91d0dc08de3cd15a42e76c20ba2b112888c313e26a2f58819fb7ff840cea
+EBUILD marshmallow-3.21.1.ebuild 774 BLAKE2B a59e3c6ca01979cec1f47964c172fa07aa926b92f0ac3cfcea35b2ac88c4e952344ed56a86f7ac0b1209c2d773c90a60aac3d8be0e87e47ed58ed0b740662874 SHA512 36d699ddf6dcc171b95fab79965f14bd92d2d9b912b4fdb78ededd05c20a2932389f91d0dc08de3cd15a42e76c20ba2b112888c313e26a2f58819fb7ff840cea
MISC metadata.xml 462 BLAKE2B 8092c0a0e4a28fdedd16131788e41c7133a7d114b6603c859a7b75a3e2c1519e51450c6ecd8b8bb42b16feee2b187d61a3241c4af6a4decebe85cd011944271d SHA512 bc243259fe7e0cf4892a8e9d5bc9792cdf9166400e6c5a2bb00dda58a1a4eae672c9b5c9723ba662f583bf47b994134943d6879141472e9ca4395d8700649997
diff --git a/dev-python/marshmallow/marshmallow-3.21.1.ebuild b/dev-python/marshmallow/marshmallow-3.21.1.ebuild
new file mode 100644
index 000000000000..2adebae08366
--- /dev/null
+++ b/dev-python/marshmallow/marshmallow-3.21.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library for converting to and from native Python datatypes"
+HOMEPAGE="
+ https://github.com/marshmallow-code/marshmallow/
+ https://pypi.org/project/marshmallow/
+"
+SRC_URI="
+ https://github.com/marshmallow-code/marshmallow/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index e75a549bac42..c4d92d93bfdd 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,5 +1,7 @@
DIST nbconvert-7.15.0.tar.gz 853363 BLAKE2B c417428708279099d8a966ab61d044be1deebbb37757b75a248b8bf50302db8a7ba39a25c0d255777d695f9af93f43f420727c33bdad0a4a239660b7f74cc49a SHA512 bf598cc776ceadadecdec816ec8fd78502cffae399175d22cf184d6e45974fcd0d5e731ef8aa032aec251dcd2a8e5d6077c585c5f70786d4cbe72979e1ad8503
DIST nbconvert-7.16.1.tar.gz 854006 BLAKE2B 304690bc9c6636efdec1f904314bab6db7805da5608dd929a837d2c56253423c0df1f8c5e5add54deb32e2a60bc6497c823602d1a11d13bb3b1004cc2f5cd4cc SHA512 6a2991eab0b1e981920d7c040535a1bffea037e854b6aeca26a2c185a31305855096f83092348e7dbd102094d5bda860bc893594126e969cfe170d09f7a808d5
+DIST nbconvert-7.16.2.tar.gz 854119 BLAKE2B 46b150af3bcdf9bc1269d6c020f5b3c23fc429060b73ed8f2221e07820092b3b6240be4dad978e009d2717d0d041b2a9aac6474d9ac9c6f8394fe83ec3e23a44 SHA512 8782507013f7eb8fc83bd51d94649834c9b376fb932d8a86766210c021af3646a623ee1dc0bb73592dc0d38e3c9b5b864dbd97834dcaf736230f6524575759ef
EBUILD nbconvert-7.15.0.ebuild 2129 BLAKE2B c985ceeaa9b95b9c4404cdab39009e13d3b1873e96fcd351237a0e07642fb845900035bdfe8d1e1f7d27c51a58d5d1f74442cdf9346c47f0b3732f7c89cbe313 SHA512 8954d7e0a0a8a5a139c2b6ffb19185061db8fa51e7b77a4ac9bedb1e83326722a599f05b1cc0486a9b81af380d4ab36eb98a5c3580f771678cfacfb327b88a94
EBUILD nbconvert-7.16.1.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
+EBUILD nbconvert-7.16.2.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
MISC metadata.xml 527 BLAKE2B a915103b3eaf57236f4257c98354a1e3733771369ac825fa8bbc4f79f0d1a23272dc86e744513620fbee37792e813a15dbb955e633a7c57597c3c38657ed05d3 SHA512 b60a311ce52915dbc12addd4a882670ac96ff8b3be2aa651eaac3d0963d6e73a72eaafd53f90fb685599504857e6bcd0568071962d7696c2605462b77260ad6a
diff --git a/dev-python/nbconvert/nbconvert-7.16.2.ebuild b/dev-python/nbconvert/nbconvert-7.16.2.ebuild
new file mode 100644
index 000000000000..90b36a68a170
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.16.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/pipdeptree/Manifest b/dev-python/pipdeptree/Manifest
index b643674dda38..43e409921a97 100644
--- a/dev-python/pipdeptree/Manifest
+++ b/dev-python/pipdeptree/Manifest
@@ -2,6 +2,8 @@ AUX pipdeptree-2.13.1-expect-hpy-in-pypy-7.3.3.patch 1018 BLAKE2B 18405bf1f1ba5a
AUX pipdeptree-2.13.2-fix-pypy-7.3.14.patch 1353 BLAKE2B 5e3a6f53244de1ae185818e3e2a37a87229b46b02c390a606b65668ae1dc53fe1a6b5e6c9faaf6160f25adc7e2597cceb5fd89bb20414a609880e034c7bdc026 SHA512 e0e8e729d713d347c96ee7db5e6a14ba7a9a986aa41231731973b4ab31f8d866cd4d229b35b54411e171a446d61201675ab3df01a58079786eabf5a080de05ad
DIST pipdeptree-2.15.1.tar.gz 34461 BLAKE2B e437785e609bacc31b5ca32fd03b7d69c3b0f597725d021ef978d49037e0d9e6e6b0c6545f5c7a93b4a26befa019156156d554e2d3470282758ed535097377f9 SHA512 ed8482c811758fc94adf196315f022cc6a07029ece9246bab04a64949faa22fc9b6811dd357d0a51803f305c837d6fa1267cf38d5a5cd728c3bf00e65d46d05d
DIST pipdeptree-2.16.0.tar.gz 34872 BLAKE2B 91401cf9ac05e365332956b874b17b40c62a8a6573b69adeae1d451d2878e887ee180239926962a2b7caae67b45619f715f8ade5c9df5b13683f167ee6592d0e SHA512 c3c1d6377cd3a30980c36fc4935f4aa4b96c402f09017f6e9e3d1c12c56580b1f56b1ea0edcbd6b588dbb96a9f5afa7a727c83faaf110d4a5e7f51df36628a03
+DIST pipdeptree-2.16.1.tar.gz 32145 BLAKE2B 8892433bbd858566c1b7dde26d42617c2f075808b8df047c750f4c482cc326f9dd4248c50bacef385f518644898893a31ee701f070a7a80215e13be0c6329b03 SHA512 d0c7d05d818f1118b1897b5ad0a09459f2c8e0fb98486555783659a68ab2d24edc3299ef747e438c4669dc34fb8833d6a217ddbf900f21bc8954d63661494a60
EBUILD pipdeptree-2.15.1.ebuild 1001 BLAKE2B 353933b6854bcd9f62299cc3932e5256028cacf9dc5a62c6cbfb546524b4553c8c860c3f43fc9f819dbc89c0ed0a82d63762b6624d8388aace92fd79563e6ff2 SHA512 0c497bfee60c2ae4aa8d11d347190d180630e2753c20f8d8f93546de184fa165738dd7fb52554ca09d0d7a9c70bca060529ef943cf91f07483827749d335ca88
EBUILD pipdeptree-2.16.0.ebuild 1296 BLAKE2B a3f346c74f7f876c72806b0172fbec559ca737e35406c9aa9971587fa7e1024650c2b652d2d78437c30072b83fa1736e9b08d682575776bf69f9efd6e80092c8 SHA512 6a70a9d9a72f88cdfd39ac52a43659334f57729780eb3a29f827b6db79419451d36995bd7421026d4e235e7f2a0e018f7ba9498c186b402d7f84e2e9f321828a
+EBUILD pipdeptree-2.16.1.ebuild 1087 BLAKE2B 7b0ec0de8334eb6361986e842bbb82bf3f0ea95edfa5f4ca064816542eed16beed3f117ea753a0a9a78c76448b32ea36fe2f2bbb829bb754c2a55fc8b45c5cd1 SHA512 ff081326514dbf6e7a2b9fcdb18a1ea6055c2c7906ba21d1c1293025fcc9a55fb82e857a680ba54d0c833caaee5bdb552dd1f8c039cb635d9c2a4acfd28803a8
MISC metadata.xml 545 BLAKE2B cf435473fd95ac0a5bafe2b52ddd78e09c16eb190e3a979924525607fc7ab152e249419e3a21d246cd1354a714116c6c0953ed55d1efceafae441ee282c2b1eb SHA512 ad2e8d4e7bac53b26ea0bb5c2f65e0c9dc8d30afc8c569d73bac820b2dda6a343b96e52abd0353e3f50269fb431e46bd3b51b3768d9c24f658fd2eca6cc1ce97
diff --git a/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild b/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild
new file mode 100644
index 000000000000..fec43ff81c6c
--- /dev/null
+++ b/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="Utility for displaying installed packages in a dependency tree"
+HOMEPAGE="
+ https://github.com/tox-dev/pipdeptree/
+ https://pypi.org/project/pipdeptree/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # https://github.com/tox-dev/pipdeptree/pull/302
+ "${FILESDIR}/pipdeptree-2.13.1-expect-hpy-in-pypy-7.3.3.patch"
+ "${FILESDIR}/pipdeptree-2.13.2-fix-pypy-7.3.14.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock
+}
+
+pkg_postinst() {
+ optfeature \
+ "visualising the dependency graph with --graph-output" \
+ dev-python/graphviz
+}
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index 9411e8736eef..caf3aa92cc48 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1,3 +1,5 @@
+DIST pymdown_extensions-10.7.1.tar.gz 811769 BLAKE2B ed2195a1a2262b96d444dd7d60c6330a6670cbe44a0f00f4c5a1dd80f4d2f13f0202adac5505d2fd5b6b5b02300e2d0bc62680fd92f3c00363c4123f02151a0a SHA512 60dce8fafb1935ab3d42320f9b6a3db9b60f4f4d4585b79f123103183f2a2ae9ed1256ae84992ad14b20f6969519a9c1a1b916c301a63715f867e8136be5eb2b
DIST pymdown_extensions-10.7.tar.gz 811535 BLAKE2B d933fa172e34e4d36956d8db385865939519f3cc8c5eecc3e132e4d2730910edf8df40ff52183caad26a5ea7613230fe55f09ca8e74a0911b4bbc039b2160ed3 SHA512 1fd1514dc2d322de42b077f90c9e328b6359f34904339deaaed699278c41ea464c793a3a794337d7bb634e2eca4411d54553005a3e5b0d8e31444feeb9e9a0db
+EBUILD pymdown-extensions-10.7.1.ebuild 1072 BLAKE2B 79f60b5a427145097950108e76e78e06da4e389cf377b3ee1d599706eac3509aef15161d2a790ad535c99b0c2e7798741f47721fee833513c65f87caf94b8314 SHA512 3df6a1c5dd268cd4c3f7a4038ddb4aae32dbe8da850a7876d1a188a71096e5849193c0a6f73c70f4d0bbbd12da931d1063aad4f7e1e6bf805211daedb969b6ed
EBUILD pymdown-extensions-10.7.ebuild 1069 BLAKE2B 358295358bcbc312f60a7eb5f0a5f8a92d90f1212df3fc03b148de38b2b7b33f6d2fcc790945a3919ef5340ff28d146d76e8b8ebdec387fa5f63ca9868642eb6 SHA512 3b47888a3da7250a96e3397c9e2572aa14bba451109a36606b5c809ca4129d063d6d5edf3024b6bc4b8bf05b79d2d6fa09db4cc91e81af46a240d2e47ee86610
MISC metadata.xml 536 BLAKE2B f417ab2132b06eadbf1785654080084c4ef694f983e223ade83d5c77213e4443203a498a168efd68e4a3b1cccbe019c5b88716ac851719b9197deba9d2fd5411 SHA512 51304b48f9e296abea376be300053e041ea331f93e1ec7a2a3cdf10eea0ed6e9b8f04cdcbbed7920b46c60d5f6ce9337e3e25635516871d7b080eb54bfa16f57
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild
new file mode 100644
index 000000000000..abf5c06a483a
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/pymdown-extensions/
+ https://pypi.org/project/pymdown-extensions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.5[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pygments-2.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # broken on pypy3; unfortunately, the parametrization is based
+ # on indexes and these are pretty random, so we need to remove it
+ # entirely
+ # TODO: restore it when pypy with a fix is in Gentoo
+ # https://github.com/pypy/pypy/issues/4920
+ rm "tests/extensions/superfences/superfences (normal).txt" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index e85a11cbffe3..cb74d842f181 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -24,6 +24,7 @@ DIST sqlglot-22.0.1.tar.gz 17713150 BLAKE2B ad0b4e83744afdc8f32a2127d22c13462eaa
DIST sqlglot-22.1.0.tar.gz 17745401 BLAKE2B 58e805a7f0d2b6c9899c931f279f124a38e1c50ec76f849b0cca00d8cbe29e01275fc5250dc00277ccb52c8b32ced276b9e70e288ed1121ab00bf20860d99d56 SHA512 af284e7d2ddc5b25f5535e9a615d1e2f9c3b0c18b80246250b1324ad626d3550d7b12cb3a02d944f765eb51d16f58c669509967873dda00c9d1da94aac05b13b
DIST sqlglot-22.1.1.tar.gz 17752039 BLAKE2B 96c152a199c989d2b5675745d1faeabd6b4ae0ffda531204eaab078d76929baaf04c23f5808a2e3b10305b1b5645657e4c55a76bf85823f481366aa08feebb3d SHA512 1584cbb92bea54808938ed7c08985bc68ef581f38479201be968364609acc106422de3abb4d75f765d20dace949485400ec149f71bbec7e34dee6e2983a77019
DIST sqlglot-22.2.0.tar.gz 17754337 BLAKE2B b9cc0b6ab3198f26bbbbcd579729685ab1003a85a86ad0c2b15fbdaf3a9d89cd721ef95c3a011adf0ac950e52874adbfcde1e944dba48e8b497078969429233d SHA512 2434661ad7d989c2704af4e6f5c52beb2e16b8c3f4a115207b790c090250a5c1eea41cb24d3aebe3e8129c2e613606c8da8a8bc824a285529c150b2085292720
+DIST sqlglot-22.2.1.tar.gz 17761904 BLAKE2B 67cfb6333f9f4d00ed7ac4cd1c3eedfd7f374e98b63474464e01937eeae1a978fa9dc1f948cb90e26f39a4e27efc1f5c57c9a82697076f46d8c1c67bcb0d7785 SHA512 3894f1c3924c6830822788e22f6b271ac47d555a6a1d264221fba15dcfa67dc27496944568bdb202bdb7a53fc67ee8f9afc25c1ef4cc624cab144e2d49de032a
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
@@ -41,4 +42,5 @@ EBUILD sqlglot-22.0.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4
EBUILD sqlglot-22.1.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-22.1.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-22.2.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
+EBUILD sqlglot-22.2.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
MISC metadata.xml 611 BLAKE2B 10bf684677182565c9932d51ed9b3b9c80d376d6db945bd7b0dd0d9a19a85dc0d10cb169ff2048ae5f7f73d0f438d259b6231c13c525b5374ec99377f4ffdd10 SHA512 2b26d0f77962807052b94ad78addcfdce9859042af3be34df267dc6e70b6231dd779563935fd21955cd8646fd0cce3fee8c939387ac8056194a0b777743dd2ae
diff --git a/dev-python/sqlglot/sqlglot-22.2.1.ebuild b/dev-python/sqlglot/sqlglot-22.2.1.ebuild
new file mode 100644
index 000000000000..058fa81df816
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-22.2.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/types-gdb/Manifest b/dev-python/types-gdb/Manifest
index f7c9002983c3..7a1839cd9c0a 100644
--- a/dev-python/types-gdb/Manifest
+++ b/dev-python/types-gdb/Manifest
@@ -1,3 +1,5 @@
DIST types-gdb-12.1.4.20240113.tar.gz 10765 BLAKE2B 836952c76cdb970b39877552da78adfb8f288a18bdb4c55d27c815e63178597e08a107350a618888cf8f8b0d8a88fa3c26767ea064b2a4dcb2d0afc3d10a4f6a SHA512 2f0802f8e95106dcb03ec734aa0b5200bd8c64f6628072394a120eb1b3a34b727525d944e023cb23baef8caabf61f6ed383a3e1da8c9d47fe76a281a67cb49aa
+DIST types-gdb-12.1.4.20240305.tar.gz 10784 BLAKE2B 0f3f4ad5a66a753262b38a320d71e39505c581b990bf4680ef892aaa6b5334cdfb52b8470903f8873872ec7d1c75d6bcf32b82d23e2d6725e53981906aedf7ea SHA512 052e783fc5e567891572a13333a4c85774c3405e2f4f4af773236fbeee0560c31dd5e5c81513ee3fc1c10cd2b9a6ea27242ffe21455bc66be66162ee71ca4a09
EBUILD types-gdb-12.1.4.20240113.ebuild 364 BLAKE2B 7bcf0a14c1a0a165ec11195aa19d23e5ca6a723bc26f3a79e8bc79d936dd7d4ef9c71450279be0e2aa5654a2518b3ab2fa03a2ec29f66bcc5dc95030b2752c4e SHA512 62c99b1cae117a2aaef367ebfe277a7dd49b97d37ef25e1d306a8bfb763c33d26f35db5797bb8d3717e6824ea5a3c8f407c2ba9eabf3a2d3c0144d90091892f3
+EBUILD types-gdb-12.1.4.20240305.ebuild 364 BLAKE2B 7bcf0a14c1a0a165ec11195aa19d23e5ca6a723bc26f3a79e8bc79d936dd7d4ef9c71450279be0e2aa5654a2518b3ab2fa03a2ec29f66bcc5dc95030b2752c4e SHA512 62c99b1cae117a2aaef367ebfe277a7dd49b97d37ef25e1d306a8bfb763c33d26f35db5797bb8d3717e6824ea5a3c8f407c2ba9eabf3a2d3c0144d90091892f3
MISC metadata.xml 320 BLAKE2B e7216faeb2957322c501efcfe35a1ddd197b253f74e4e1674f188d700c9ae765c94cd9609a1aa0c6033608b32e357a827e5ca906d0f4fdf6aeb9fefcdeb8c6ef SHA512 5ebabc196994d0616193657af0766733efc672cf823ac908df138fcad13c510716fd261bfced7986d6170044fa46cc3fbc42760ccb863e26b34ec3920b234061
diff --git a/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild b/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild
new file mode 100644
index 000000000000..bb9b717448e5
--- /dev/null
+++ b/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for gdb"
+HOMEPAGE="https://pypi.org/project/types-gdb/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"